## visad.ss
Class MappingDialog

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          visad.ss.MappingDialog

All Implemented Interfaces:
  Accessible, ActionListener, EventListener, ImageObserver, ListSelectionListener, MenuContainer, MouseListener, RootPaneContainer, Serializable, WindowConstants

public class MappingDialog
extends JDialog
implements ActionListener, ListSelectionListener, MouseListener

MappingDialog is a dialog that lets the user create ScalarMaps.

See Also:
  Serialized Form

Nested Class Summary
`(package private) class` `MappingDialog.MDTuple` Helper class representing an (int, int, boolean) tuple.

Nested classes inherited from class javax.swing.JDialog
`JDialog.AccessibleJDialog`

Nested classes inherited from class java.awt.Dialog
`Dialog.AccessibleAWTDialog`

Nested classes inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
``

Fields inherited from class java.awt.Window
``

Fields inherited from class java.awt.Container
``

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`MappingDialog(Frame parent, Data[] data, ScalarMap[] startMaps, boolean allowAlpha, boolean allow3D)` Constructs a MappingDialog from multiple Data objects.
`MappingDialog(Frame parent, Data data, ScalarMap[] startMaps, boolean allowAlpha, boolean allow3D)` Constructs a MappingDialog from a single Data object.

Method Summary
`void` `actionPerformed(ActionEvent e)` Handles button press events.
`void` `display()` Displays the dialog in the center of the screen.
`(package private) void` `eraseBox(int col, int row, Graphics g)` Clears a box in the "map to" canvas.
`ScalarMap[]` `getMaps()` Gets the mappings selected by the user.
`Dimension` `getPreferredSize()` Ensure mapping dialog is not larger than the screen size.
`(package private) void` `highlightBox(int col, int row, Graphics g)` Highlights a box in the "map to" canvas.
`static void` `initDialog()` Pre-loads the display.gif file, so it's ready when mapping dialog is requested.
`void` `mouseClicked(MouseEvent e)` Unused MouseListener method.
`void` `mouseEntered(MouseEvent e)` Unused MouseListener method.
`void` `mouseExited(MouseEvent e)` Unused MouseListener method.
`void` `mousePressed(MouseEvent e)` Handles mouse clicks in the MathType window and "map to" canvas.
`void` `mouseReleased(MouseEvent e)` Unused MouseListener method.
`boolean` `okPressed()` Gets whether the user pressed the Ok button.
`void` `valueChanged(ListSelectionEvent e)` Handles list selection change events.

Methods inherited from class javax.swing.JDialog

`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setResizable, setTitle, setUndecorated, show`

Methods inherited from class java.awt.Window

`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, finalize, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, toBack, toFront`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MappingDialog

    public MappingDialog(Frame parent,
                         Data data,
                         ScalarMap[] startMaps,
                         boolean allowAlpha,
                         boolean allow3D)

  Constructs a MappingDialog from a single Data object.

### MappingDialog

    public MappingDialog(Frame parent,
                         Data[] data,
                         ScalarMap[] startMaps,
                         boolean allowAlpha,
                         boolean allow3D)

  Constructs a MappingDialog from multiple Data objects.

Method Detail

### initDialog

    public static void initDialog()

  Pre-loads the display.gif file, so it's ready when mapping dialog is requested.

### getPreferredSize

    public Dimension getPreferredSize()

  Ensure mapping dialog is not larger than the screen size.

### display

    public void display()

  Displays the dialog in the center of the screen.

### getMaps

    public ScalarMap[] getMaps()

  Gets the mappings selected by the user.

### okPressed

    public boolean okPressed()

  Gets whether the user pressed the Ok button.

### eraseBox

    void eraseBox(int col,
                  int row,
                  Graphics g)

  Clears a box in the "map to" canvas.

### highlightBox

    void highlightBox(int col,
                      int row,
                      Graphics g)

  Highlights a box in the "map to" canvas.

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Handles button press events.

  Specified by:
    `actionPerformed` in interface `ActionListener`

### valueChanged

    public void valueChanged(ListSelectionEvent e)

  Handles list selection change events.

  Specified by:
    `valueChanged` in interface `ListSelectionListener`

### mousePressed

    public void mousePressed(MouseEvent e)

  Handles mouse clicks in the MathType window and "map to" canvas.

  Specified by:
    `mousePressed` in interface `MouseListener`

### mouseEntered

    public void mouseEntered(MouseEvent e)

  Unused MouseListener method.

  Specified by:
    `mouseEntered` in interface `MouseListener`

### mouseExited

    public void mouseExited(MouseEvent e)

  Unused MouseListener method.

  Specified by:
    `mouseExited` in interface `MouseListener`

### mouseClicked

    public void mouseClicked(MouseEvent e)

  Unused MouseListener method.

  Specified by:
    `mouseClicked` in interface `MouseListener`

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Unused MouseListener method.

  Specified by:
    `mouseReleased` in interface `MouseListener`